Subject: Re: bug#12693: 24.2.50; src/w32font.c should depend on ANSI code page

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Oct 2012 09:30:36 +0200

> Date: Thu, 25 Oct 2012 14:18:07 -0700
> From: Daniel Colascione <[email-masked]>
> CC: Kazuhiro Ito <[email-masked]>, [email-masked]
> 
> The right code for Cygw32 is to always define NTGUI_UNICODE and unconditionally
> use Unicode APIs when NTGUI_UNICODE is set.

I figured that much.  So I suggest that the patch to fix this issue be
reworked in that direction.

> Maybe, someday, we can define NTGUI_UNICODE for the NT port too.

That's the plan, yes.  Although I think it will not be a compile-time
test, since there's a lot of work involved, and so some old code will
have to coexist with the new for some time.  Volunteers are welcome.